ech 'Hello, World!'

set QEMU   [lindex $argv 0];
set QCOW   [lindex $argv 1];
set MEMORY [lindex $argv 2];

set timeout -1

spawn $QEMU \
	-m $MEMORY                                            \
	-nic user,model=virtio-net-pci,hostfwd=tcp::10022-:22 \
	-curses                                               \
	-drive file=$QCOW,media=disk,if=virtio

expect -ex "localhost login: "
send -- "root\n"

expect -ex "Password: "
send -- "\n"

expect -ex "localhost:~# "
send -- "printf 'PermitRootLogin yes\\nPermitEmptyPasswords yes\\n' >> /etc/ssh/sshd_config\n"

expect -ex "localhost:~# "
send -- "poweroff\n"
